\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.5cm,y=0.5cm]
\clip(-7.75,-0.5) rectangle (2.5,6.5);
\draw[line width=1.5pt] (-5.235339362165821,4.646990956751269) -- (-4.88233031891709,4.4116515945854475) -- (-4.646990956751269,4.764660637834179) -- (-5,5) -- cycle; 
\draw [line width=1.5pt] (-7,2)-- (-5,5);
\draw [line width=1.5pt] (-5,5)-- (1,1);
\draw [line width=1.5pt] (1,1)-- (-7,2);
\draw (-6,0.75) node[anchor=north west] {$BC^2 = AB^2 + AC^2$};
\draw [fill=black] (-5,5) circle (0.5pt);
\draw[color=black] (-5,5.5) node {$A$};
\draw [fill=black] (-7,2) circle (0.5pt);
\draw[color=black] (-7.5,2.13) node {$B$};
\draw [fill=black] (1,1) circle (0.5pt);
\draw[color=black] (1.5,1.05) node {$C$};
\end{tikzpicture}
\end{document}